{% extends "base.html" %}
{% block style %}
<link rel="stylesheet" href="{{ url_for('static',filename='css/home.css') }}">
{% endblock %}

{% block main %}

<section class="d-flex flex-column align-items-center edt">
    <h1> {{titre}} </h1>
    <div class = "option">
        <form action="{{ url_for('recherche_produit') }}" method="POST" id = "form-1">
            <div style="display: flex;">
                <input type = "text" class = "form-control" name = "recherche">
                <button class = "btn btn-primary" type = "button" onclick="submitForm('form-1')" form="form-1"> rechercher </button>
            </div>
        </form>
        <div class = "nouveau">
            <button class = "btn btn-primary" type = 'button'  onclick="window.location.href='/produits/nouveau'" style="margin-bottom: 1em; margin-right: 1em;"> Nouveau Produit </button>
            <button class="btn btn-success" style="margin-bottom: 1em; margin-right: 1em;"
            onclick="document.getElementById('file').click(); ">Importer un .csv
    </button> 
        </div>
        
    <form method="POST" action="{{url_for('import_csv')}}" enctype="multipart/form-data" id = "form-2">
                    
        <input id="file" type="file" accept=".csv" name="file" style="display: none;" />
        <input id="submit_importCSV" type="button" onclick="submitForm('form-2')" style="display: none;" />
</form>
    </div>
    <form action="{{url_for('supprimer_produit')}}" method="POST" id = "suppr_form" >
        <input type="hidden" value = "1" name = "prod_id" id = "prod_id">
    </form>
    <div class = "contenant">
        <div class="row row-cols-1 row-cols-md-3 g-4">
            {% for produit in produits %}
                <div class="col" style="margin-bottom: 1em;">
                    <div class="card h-100 text-center">
                        <div class="card-body">
                        <h5 class="card-title"> {{produit.modele}}</h5>
                        <p class="card-text"> <b> Description : </b> {{produit.description}} </p>
                        <button class="btn btn-danger" onclick="submitProduit('{{produit.id}}')" > Supprimer </button>
                        </div>
                    </div>
                </div>
            {% endfor %}
        </div>
    </div>
</section>

{% endblock %}
{% block script %}

<!-- <script src="{{ url_for('static',filename='js/bs-init.js') }}"></script> -->
<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.8/jquery.min.js"></script>
<script>
    submitForm = function (id_form) {   
        console.log("sub");     
        document.forms[id_form].submit();
    }
    $("#file").change(function () {
        console.log("here");
        document.getElementById("form-2").submit();    
        });

    function submitProduit(id){
        let input = document.getElementById("prod_id");
        input.value = id;
        document.forms["suppr_form"].submit();
    }
</script>
{% endblock %}